Subject: Re: bug#75834: [PATCH] Add missing custom :set to savehist-autosave-interval

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2025 15:28:35 +0200

> From: Ship Mints <[email-masked]>
> Date: Sat, 1 Feb 2025 08:21:59 -0500
> Cc: [email-masked]
> 
> On Sat, Feb 1, 2025 at 6:12 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  > From: Ship Mints <[email-masked]>
>  > Date: Sat, 25 Jan 2025 13:19:11 -0500
>  > 
>  > * lisp/savehist.el (savehist-autosave-interval):
>  > Correctly reset 'savehist-timer' when savehist-autosave-interval changes
>  > via setopt or a Customize command.
> 
>  What does this do when the user loads savehist.el due to some
>  Customize command, but doesn't activate savehist-mode?  Does it start
>  the timer, for example?
> 
> The timer is established only when savehist mode is enabled and the interval is non-nil.

OK, thanks.

>  > An open question is should the timer be an idle timer or not. Currently, the timer is a regular timer. I'd
>  prefer
>  > an idle timer. Not sure how many people would care if this changed.
> 
>  Why do you think an idle timer would be better?
> 
> I prefer idle timers for this kind of thing as I find auto saving while I'm working to be distracting, and
> occasionally slows me down at least on my slow computer, and barely noticeable on my fast one. As not
> everyone has super fast modern equipment, I'm guessing we prefer to be respectful of older setups. I have
> three autosave timers set up in my configuration, and even one is distracting enough.
> 
> The timer I put in save-place is an idle timer, and now is a good time to debate idle vs. absolute timers for
> these.

A disadvantage of idle timers is that they can miss changes.  This
might be more significant for the save-place case, since by the time
Emacs is idle, the file you visited might no longer be visited in any
buffer.